View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *     http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17
    18  package org.apache.commons.configuration;
    19
    20  /***
    21   * Exception thrown when a property is incompatible with the type requested.
    22   *
    23   * @since 1.0
    24   *
    25   * @author Emmanuel Bourg
    26   * @version $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
    27   */
    28  public class ConversionException extends ConfigurationRuntimeException
    29  {
    30      /***
    31       * The serial version UID.
    32       */
    33      private static final long serialVersionUID = -5167943099293540392L;
    34
    35      /***
    36       * Constructs a new <code>ConversionException</code> without specified
    37       * detail message.
    38       */
    39      public ConversionException()
    40      {
    41          super();
    42      }
    43
    44      /***
    45       * Constructs a new <code>ConversionException</code> with specified
    46       * detail message.
    47       *
    48       * @param message  the error message
    49       */
    50      public ConversionException(String message)
    51      {
    52          super(message);
    53      }
    54
    55      /***
    56       * Constructs a new <code>ConversionException</code> with specified
    57       * nested <code>Throwable</code>.
    58       *
    59       * @param cause  the exception or error that caused this exception to be thrown
    60       */
    61      public ConversionException(Throwable cause)
    62      {
    63          super(cause);
    64      }
    65
    66      /***
    67       * Constructs a new <code>ConversionException</code> with specified
    68       * detail message and nested <code>Throwable</code>.
    69       *
    70       * @param message  the error message
    71       * @param cause    the exception or error that caused this exception to be thrown
    72       */
    73      public ConversionException(String message, Throwable cause)
    74      {
    75          super(message, cause);
    76      }
    77  }